play.libs

## Class OAuth.Error

- java.lang.Object
- - play.libs.OAuth.Error

- Enclosing class:
    OAuth

      public static class OAuth.Error
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `OAuth.Error.Type`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `java.lang.String` | `details`
    `oauth.signpost.exception.OAuthException` | `exception`
    `OAuth.Error.Type` | `type`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `details()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### exception

          public final oauth.signpost.exception.OAuthException exception

    - #### type

          public final OAuth.Error.Type type

    - #### details

          public final java.lang.String details

  - ### Method Detail

    - #### details

          public java.lang.String details()

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Guillaume Bort & zenexity - Distributed under Apache 2 licence, without any warrantly